##### GENERAL STUFF #####

Summary: Command line utilities to access digital cameras
Name: gphoto2
Version: 2.1.0
Release: alt1
License: LGPL
Group: Graphics

##### SOURCE FILES #####

Source: http://www.gphoto.net/dist/%name-%version.tar.bz2
Patch1: gphoto2-configure.patch
Patch2: gphoto2-2.1.0-newexif.patch

##### ADDITIONAL DEFINITIONS #####

Url: http://www.gphoto.org/

Requires: libusb libgpio libgphoto2 = %version-%release

BuildRequires: libusb-devel pkgconfig libexif-devel liblockdev-devel

##### SUB-PACKAGES #####

%description
gPhoto is part of the GNU project - and is an universal, free
application and library framework that lets you download
images from several different digital camera models, including
the newer models with USB connnection. Note that for some older
camera models you must use the old "gphoto" package.

%package -n libgphoto2
Summary: Library to access to digital cameras
Requires: libusb libgpio
Obsoletes: hackgphoto2
Group: Graphics

%description -n libgphoto2
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n libgphoto2-devel
Summary: Headers and links to compile against the "libgphoto2" library
Requires: libgphoto2 = %version-%release
Provides: libgphoto-devel
Group: Graphics

%description -n libgphoto2-devel
This package contains all files which one needs to compile programs using
the "libgphoto2" library.

%package -n libgphoto2-devel-static
Summary: Static libraries to compile against the "libgphoto2" library
Requires: libgphoto2-devel = %version-%release
Provides: libgphoto-devel-static
Group: Graphics

%description -n libgphoto2-devel-static
This package contains static libraries which one needs to compile programs using
the "libgphoto2" library.

##### PREP #####

%prep
%setup -q
%patch1 -p1
%patch2 -p1

##### BUILD #####

%build

# Small for for Automake
touch libgphoto2_port/doc/DocRules.am

for dir in . libgphoto2_port; do
pushd $dir
#    aclocal-1.6
#    autoheader_2.5
#    automake-1.6 --add-missing --gnu
    autoconf_2.5
    libtoolize --copy --force
popd
done

%configure --with-drivers=all --disable-debugging

# Fix hard-coded documentation path
perl -pi -e "s!doc/gphoto2!share/doc/%name-%version!" Makefile
perl -pi -e "s!doc/gphoto2!share/doc/%name-%version!" libgphoto2/Makefile

make

##### INSTALL #####

%install
%makeinstall

%find_lang libgphoto2_port gphoto2

##### PRE/POST INSTALL SCRIPTS #####

%post -n libgphoto2
/sbin/ldconfig

%postun -n libgphoto2
/sbin/ldconfig

##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### gphoto2
%files -f gphoto2.lang
%doc README NEWS TESTERS AUTHORS doc/DAEMON doc/FAQ doc/gphoto2*
%_bindir/gphoto2
%_datadir/%name

##### libgphoto2
%files -n libgphoto2 -f libgphoto2_port.lang
%_libdir/*.so.*
# Here are only ".so" and no ".so.XXX" packages, so the ".so" have to be in
# the main package
%dir %_libdir/gphoto2
%dir %_libdir/gphoto2/2.1.0
%_libdir/gphoto2/2.1.0/*.so
%dir %_libdir/gphoto2_port
%dir %_libdir/gphoto2_port/0.5.0
%_libdir/gphoto2_port/0.5.0/*.so
%_mandir/man1/gphoto2.1*
%_mandir/man3/*

##### libgphoto2-devel
%files -n libgphoto2-devel
%_includedir/gphoto2
%_libdir/*.so
%_libdir/*.la
%_libdir/gphoto2/2.1.0/*.la
%_libdir/gphoto2_port/0.5.0/*.la
#%_libdir/gphoto2portConf.sh
%_libdir/pkgconfig/*
%_bindir/*-config

%files -n libgphoto2-devel-static
%_libdir/*.a
%_libdir/gphoto2/2.1.0/*.a
%_libdir/gphoto2_port/0.5.0/*.a

##### CHANGELOG #####

%changelog
* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.1.0-alt1
- Rebuilt in new environment
- Rebuilt with liblockdev
- Some spec fixes
- 2.1.0

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt2
- Rebuild with new binutils

* Fri Mar 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt1
- Release gphoto2 2.0

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.3cvs20011204
- Build from CVS
- Rebuild with new libusb

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.2beta1
- Added devel-static package
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 2.0-alt0.1beta1
- first BUILD for ALT

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.2mdk
- Corrected "Requires:"

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.1mdk
- Initial release

